syndication

PUT /v1/syndication/plans/{planId}

Change a plan's channels or behaviour.

Semua titik akhir syndication

Autentikasi

Kirimkan kunci API sebagai token bearer. Titik akhir ini tidak menyatakan izin tertentu dalam spesifikasi, jadi berikan kunci Anda izin minimum yang diperlukan dan periksa responsnya alih-alih berasumsi.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<post, recipe, org_default>> }'

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.

Parameter

NamaJenisWajibTentang apa ini
planId (path)stringYa

Isi permintaan

NamaJenisWajibTentang apa ini
scopestring<post, recipe, org_default>Ya
post_idstringTidak
recipe_idstringTidak
enabledbooleanTidak
write_modestring<ai_per_channel, one_text>Tidak
approval_modestring<hold, send>Tidak
connection_idsstring[]Tidak

Tanggapan

NamaJenisWajibTentang apa ini
idstringYa
scopestring<post, recipe, org_default>YaMost specific wins — an article's own plan beats its recipe's beats the org default.
post_idstringYa
recipe_idstringYa
enabledbooleanYa
write_modestring<ai_per_channel, one_text>Ya⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing.
approval_modestring<hold, send>Ya⚖️ Owner ruling 2026-08-20 — hold for approval by default.
channelsSyndicationPlanChannel[]Ya
created_atstringYa

Kesalahan yang dapat dikembalikan oleh titik akhir ini

401 · 403 · 404